package cn.palmte.work.model;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 项目预算收入明细临时表
 */
@Entity
@Table(name = "project_budget_income_detail_temp")
public class ProjectBudgetIncomeDetailTemp extends ProjectBudgetIncomeDetailBase{
    public  ProjectBudgetIncomeDetail toProjectBudgetIncomeDetail(){
        ProjectBudgetIncomeDetail projectBudgetIncomeDetail = new ProjectBudgetIncomeDetail();
        projectBudgetIncomeDetail.setProjectId(getProjectId());
        projectBudgetIncomeDetail.setName(getName());
        projectBudgetIncomeDetail.setType(getType());
        projectBudgetIncomeDetail.setUnit(getUnit());
        projectBudgetIncomeDetail.setAmount(getAmount());
        projectBudgetIncomeDetail.setPrice(getPrice());
        projectBudgetIncomeDetail.setTaxRate(getTaxRate());
        return projectBudgetIncomeDetail;
    }
}